package org.security.trans.dataStatistics.service;

import org.security.trans.dataStatistics.vo.HistogramDataVO;
import org.security.trans.dataStatistics.vo.PieChartDataVO;
import org.security.trans.outsourcing.dto.OutEmployeeDTO;

import java.util.List;

/**
 * @author ：wzf
 * @apiNote ：TODO
 * @since ：Created in 2022/12/2 11:34
 */
public interface OutEmployeeDataService {
	List<PieChartDataVO> getSexData(OutEmployeeDTO outEmployeeDTO);

	List<HistogramDataVO> getAgeData(OutEmployeeDTO outEmployeeDTO);

	List<PieChartDataVO> getNationTypeData(OutEmployeeDTO outEmployeeDTO);

	List<PieChartDataVO> getPoliticalOutlookTypeData(OutEmployeeDTO outEmployeeDTO);
}
